AutoCAD Map 3D :: Random Selection Dialog Box
Sep 15, 2011I am using 2011 Map3D. Suddenly I am getting a "Selection Dialog Box" ?assist me to disable it? It would be super to get rid of it.
View 2 RepliesI am using 2011 Map3D. Suddenly I am getting a "Selection Dialog Box" ?assist me to disable it? It would be super to get rid of it.
View 2 RepliesAnyone else experiencing this bug in CS4 - when starting a new selection (Marquee Tool), random sized boxes will appear BEFORE dragging and releasing the mouse button to define a selection. The boxes will often extend from the first mouse click to an image edge, but it's unpredictable.
I need to release the mouse button, deselect (left click), and then start over again. Once this behavior begins, it can recur repeatedly, making marquee selections VERY frustrating. I have to shut down Photoshop and restart, but eventually the bug will return (typically after 10-20 minutes of use). Code:
I am trying to create a script to specify a percentage of the selected items you want to remove.Here is what I have so far.
I still need to work out on the alert prompt and the if statement, but for now, I have the feeling that the selection.length keep changing each time Illustrator delete an object, and I don't know how to make it stick.
var selection = app.activeDocument.selection;
//alert prompt dialog for a percentage of deletion
for (var i = 0; i < selection.length; i++) {
if (Math.random < 0.5) { //need to work out the percentage
alert("yes")
selection[i].remove();
}
}
Here’s the problem: Polygon Lasso decides to close the selection FOR NO REASON AT RANDOM.
Let me clarify that I am an advanced Photoshop user (certified expert by Adobe). I know all Photoshop tools inside and out and this is DEFINITELY not user error. Photoshop CC is glitching and it needs to be fixed. Thing is, this only started for me very recently; within the last few weeks. (Kinda close to when I updated to Mavericks on my mac but I’m not sure that has anything to do with it)
To re-iterate, this is NOT a double-clicking issue or anything done wrong by me. Making lots of small lassos joined by the shift key is also NOT a solution. Switching to the pen tool is also NOT a solution because my workflow depends on the speed of the lasso tool.
What command turns off the annoying "selection dialog box"? I don't know if it's new or not, but it started showing up this week. I see the purpose, but don't like it or the fact that autocad makes difficult to turn off a feature after it puts it there without warning. Attached is a screen shot of it.
View 2 Replies View RelatedHow can I disable the selection dialog box and enable selection cycling? I used to be able to hit shift+space bar to cycle through overlapping lines, I'd like to still be able to do that. I just switched from C3D 2011 to 2012.
View 4 Replies View RelatedMy AutoCAD has started doing something different, I don't remember turning it on, and now I can't figure out how to turn it off.
What happens is when I hover the mouse near two or more objects a little blue box icon appears telling me that there is multiple objects there. Then, if I click, it asks me which object I want to select. URL....
I just upgraded to Autocad 2014.
With regards to selection cycling, when it's turned on, the dialog box pops up in the middle of my screen which is exactly where I DON'T want it as that's usually where I'm working and it causes all kinds of selection issues. Regardless of the settings I choose in the options, it comes up in the middle of my screen.
I've tried setting the position to static and then dragging the box to the side but on the next click, it pops up in the original centered location. I've also tried every possible configuration in the options box to stop this behavior.
I'm attempting to create an easier way to change layer colors of nested linework by selecting the linework and having the ACAD index color dialog box appear to select the replacement color.
defining the "ic" variable;
(defun c:clc (/ ent ent_data ic ent_lay) ;change layer color(setq ent(nentsel)) (setq ent_data(entget(car ent)))(setq ic ;index color(cdr(assoc 62(ACAD_COLORDLG))))(setq ent_lay(cdr(assoc 8 ent_data)))(command "-layer" "c" ic ent_lay ""))
How to make the Getfiled dialog box taller to include more of the file selection area? Where to change number of lines displayed. The code is not in the Acad.dcl
Like the Acad.dcl one can edit the width of edit text window: See edit_width = 80;
acad_txtedit : dialog {
label = "Edit Text";
initial_focus = "text_edit";
[Code]....
There used to be a color selection dialog box on the tool bar but it went away somehow. Is there a way to get it back?
View 1 Replies View RelatedSince upgrading to Illustrator 17.1 I can no longer select slices in the Save for Web dialog, nor can I select a slice on a different layer than the one it was created on.
View 10 Replies View RelatedI try to copy+paste a shape from Illustrator CS5 to Photoshop CS5 (Windows). My goal is to recieve a shape layer I can use in photoshop. But it just copies it as a VectorSmartObject and I can't convert it to a shape layer. I read, that "normaly" or at least in the Mac version a dialog box should appear, which let's you choose how you want to paste it in ( SmartObject/ShapeLayer/...). This doesn't happen. Is thia bug?
View 5 Replies View RelatedCurrently Revit doesn't support multiple selection in Material edition dialog, so when user wants to delete multiple materials, he/she has to select one, delete, then one again and again. It's really tedious and waste lots of time.
[URL]
I'm using the file dialog snippet as the foundation for a save as dialog box for saving a new copy of my template assembly to a project folder. Is there a way to disable the ability to click on a file in the window which puts that filename in the input box? The assembly file name is standardized and pre-"calculated" by my code and its a decent hassle if you accidentally click another file because the user would either have to rewrite the file name by hand, or cancel out of the dialog box and re-navigate to the project folder.
Inventor 2013 SP 1.1
When I go to the file open dialog box and start typing in a file name the the file name box it does not show a list of drawings that match the search in the file name box.
View 9 Replies View RelatedWhen I select a hatch or polyline or any object with grips for that matter, and hold down shift to select multiple grips on the object or objects and then press my middle mouse button to pan or scroll it to zoom, the grips that I have selected de-select, meaning I have to set up the view so that all the grips I want to move are visible before selecting them.
This is only happening on some drawings (although it is most of them) and only when I use 2012 not 2011. Which system variable it is that has gone screwy that I need to reset? or is it something else?
I have a flexible sub-assembly in my top assembly. Sometiems I'm trying to demonstrate to others how a mechanism in the sub-assembly works using this flexibility feature. It works great, but when I move just one little part of a flexible assembly, Inventor displays the wire-mesh of the entire flexible assembly, because technically the entire assembly is selected, even though I'm only moving one part. It clutters up the screen very badly, detracting from what I'm trying to show.
Is there a way to prevent Inventor from displaying the selection lines? Either only when I'm moving a part in a flexible assembly (which would be great), or to just turn them off completely when I'm presenting like this? I know I can turn off pre-select, but that doesn't work, because once I start moving a part in the flexible assembly, the assembly is "selected" and the wire-mesh displays.
When creating a selection Command using the PromptXXXOptions and PromptXXXResult. The entities are selected on the current view, but once the selection ends the entities return to an unselected state.
Is it possible to leave them in selection mode.
I want to this, because it will be better to use Editor.SelectImplied() instead of saving the last selection object Ids.
I've created a lisp that draws the boltholes of a pipe flanges, using the correct number of holes, at the correct diameter at the correct bolt-hole diameter and then rotates. Everything works seamlessly, when i do just one flange. But I've discovered that fewuently there will be mulitple times when a user will have to perform the command.
So the idea I had was to do the following:
Select all circles with (setq CirclesFirst (ssget "X" (list (cons 0 "CIRCLE"))))
Go through the code to create the new circles.
Select all circles with (setq Circles (ssget "X" (list (cons 0 "CIRCLE"))))
Remove selection set "CirclesFirst" from "Circles".
But what for some reason (command "_.select" Circles "R" CirclesFirst "") does not work.
I've found some example code on how to create Leaderline and have been playing around with it. So far so good, but when I create my leaderline and the Mtext generates, it is always preceeded by an "OK" and i can't figure out where it's coming from. I've tried using TrimStart on a number of the strings to no avail. I know it must be something insanely simple but it can't seem to get it.
using Autodesk.AutoCAD.Runtime;using Autodesk.AutoCAD.ApplicationServices;using Autodesk.AutoCAD.DatabaseServices;using Autodesk.AutoCAD.EditorInput;using Autodesk.AutoCAD.Geometry;namespace DimensionLibrary{ public class DimensionCommands
[code]....
I appear to have two red circle which I did not create on drawing in model space. I am assuming it is some sort of error but can not figure it out. On my layout tab viewports containing the section does not show, only the red circle.
View 6 Replies View RelatedAs I was creating a surface consisted of contour lines, suddenly some bunch of random points in the surface were also created. I want my surface to be solely generated by contour lines only. So...
I know I can get rid of those points by deleting them through edit but I want to get rid of them all at once. How can I do that? Or... Is there even a way to do that?
I have one user who cannot plot correctly from his workstation. All of his drawings will be missing information when they are plotted although they look perfect in the print preview. For example, at the bottom of every drawiing, he puts in a single text block: "Drawn by: SLM" and sometimes the 'S' in his initials won't get plotted, etc. He can save any of those drawings to a shared drive and plot them from a different workstation and there is no issue. We are using AutoCAD Map 3D 2010 on Windows 7 32bit.
View 1 Replies View RelatedMy C3D 2013 just started doing this last week... I first noticed that it would zoom to extents when I operated the center mouse button for panning. It was random, about 1 out of every 15 to 20 pans using the center button.
But then I noticed that it's not just the panning. It will randomly zoom to extents when I type in a command. Earlier today, it did it when I did a REGEN, then again when I did a MAPWSPACE.
The other notable thing is that there is no "zoom" command anywhere in the command history when this occurs.
Besides changing the mice, I also tried rebooting and running a repair on C3D. I have Win7-64.
The problem seems to coincide with when I started using Autodesk 360. Not saying it's related, but it's fishy.
I need to make block with certain random elements in it which regenerate when the block is copied. In this case it's the rotation of the main part of a drawn tree, In which I want the trunk to stay the same but for the polyline that makes up the leafy part to rotate randomly.
View 2 Replies View RelatedI would like to create a polyline in a plane that is not WCS. I am able to do so with the 3D polyline. My problem is that 3D polyline does not allow for a Bulge in the polyline.
View 3 Replies View RelatedHow should I model a random 3D-geometry using AUTOCAD?
I have NEZ data from total station survey of an uneven region. Importing them to AUTOCAD gives me points.
What element should I use to model the 3D geometry enabling me to perform further calculations like volume etc. ?
One of the computers at my office keeps randomly freezing, i.e. Windows freezes, not just Inventor, when working on a simple frame generator assembly. The freezing seems to be completely random, it can happen 2 minutes after opening the assembly or it can happen after 2 hours.
This only happens on this one computer with this one assembly.
The computer in question is a new Dell Precision M4600 (like a week old) running Autodesk Factory Design Suite Premium 64 bit (including Autodesk Inventor standard edition). Installing Service Pack 1 had no effect on the problem.
My goal is to let some wheels roll in a path which exist from 2 straight paths and a corner. I can constrain them to 1 path at a time but not to all of them so my wheel makes a corner. I
You can find the guide rail as attachment. There is a path in the sketch from which i sweeped my form but he divides it in the 3 parts so i can't constrain the center point of my wheel to this path.
In the past couple C3D versions, I've had these random borders show up in my simple tables. I have a table for my legend and another one I use for a list of references. I use no borders for these tables but sometimes when I edit a cell somewhere in the table, the random border will appear. I remove it and then sometimes it reappears again later. It's usually the top line of the second row, second column only but occasionally it will be when I add a row into an existing table.
View 2 Replies View Related